part of 'personal_info_bloc.dart';

@immutable
sealed class PersonalInfoEvent {}

class InitializeProfileInfoEvent extends PersonalInfoEvent {
  InitializeProfileInfoEvent();
}

class UpdateProfileImage extends PersonalInfoEvent {
  UpdateProfileImage(this.imagePath);

  final String imagePath;
}

class UpdateFirstName extends PersonalInfoEvent {
  UpdateFirstName(this.firstName);

  final String firstName;
}

class UpdateLastName extends PersonalInfoEvent {
  UpdateLastName(this.lastName);

  final String lastName;
}

class UpdateEmail extends PersonalInfoEvent {
  UpdateEmail(this.email);

  final String email;
}

class UpdatePhoneNumber extends PersonalInfoEvent {
  UpdatePhoneNumber(this.phoneNumber);

  final String phoneNumber;
}

class SaveProfileChanges extends PersonalInfoEvent {}

class DeactivateProfile extends PersonalInfoEvent {}
